(function(){
	var  WebGame = {
		init:function() {
			this.slider();
			this.starplay();
			this.bindEvent();
            this.common();
            this.loginUser();
		},
		slider:function(){
			var gSlider = $("#g_slider"),
				imgLi =  gSlider.find("li"),
				navLi =  gSlider.find("span"),
				n = imgLi.length-1,
				s = 3000,
				i = 0,
				m = 0,
				roll = function(m){
					imgLi.eq(i).stop().animate({
						opacity: "hide",
						"z-index": 0
					}, 500, function() {
						$(this).hide();
					});
					imgLi.eq(m).stop().animate({
						opacity: "show",
						"z-index": 1
					}, 500, function() {
						$(this).show();
					});
					navLi.eq(m).addClass("active").siblings().removeClass("active");
				},
				focus = function(){
					m = m == n ? 0 : ++m;
					i = m ? m - 1 : n;
					roll(m);
				};
			t = setInterval(focus, s);
			imgLi.eq(0).show().css("z-index", 1);
			gSlider.hover(function(){
					clearInterval(t);
				}, function() {
					t = setInterval(focus, s);
			});
			navLi.click(function() {
				imgLi.hide().css("z-index", 0);
				clearInterval(t);
				roll($(this).index());
			})
		},
		starplay:function(){
			var w = $(window).width(),
				t = 1366 > w ? 4 : 5,
				o = $("#starplayer"),
				starUl = $("#starplayer ul"),
				starLiW = $("#starplayer li").width();
			o.on('click', '.next-btn', function() {
				starUl.stop().animate({left:-t*starLiW},200,function(){
					for (var i=0; t > i; i++) {
						o.find("li:first").appendTo(starUl);
					}
					starUl.css("left","0");
				})
			}).on('click', '.prev-btn', function() {
				starUl.css("left",-t*starLiW);
				starUl.stop().animate({left:0},200,function(){
					for (var i=0; t > i; i++){
						o.find("li:last").prependTo(starUl);
					}
				})
			});
		},
		bindEvent:function(){
			$("#future_server li").mouseover(function(event) {
                $(this).addClass("active").siblings().removeClass("active");
        	});
            $(".login-box").on('focus blur keyup','input',function (){
				if(this.value){
					$(this).prev().hide();
				} else {
					$(this).prev().show();
				}
			});
		},
        common:function(){
            //开服预告
            $('.prev_new_server').click(function(){
                var total = $('.new_total_page').text();
                var page = $('.new_server_page').text();
                if(page > 1 && page <= parseInt(total)){
                    var new_page = parseInt(page) - parseInt(1);
                    $('.new_server_page').text(new_page);
                    $('.new_server').hide();
                    $('.new_server_'+new_page).show().removeClass('active').eq(0).addClass('active');;
                }
            });
            $('.next_new_server').click(function(){
                var total = $('.new_total_page').text();
                var page = $('.new_server_page').text();
                if(page < parseInt(total)){
                    var new_page = parseInt(page)+parseInt(1);
                    $('.new_server_page').text(new_page);
                    $('.new_server').hide();
                    $('.new_server_'+new_page).show().removeClass('active').eq(0).addClass('active');

                }
            });
            //火爆新服
            $('.prev_hot_server').click(function(){
                var total = $('.hot_total_page').text();
                var page = $('.hot_server_page').text();
                if(page > 1 && page <= parseInt(total)){
                    var new_page = parseInt(page) - parseInt(1);
                    $('.hot_server_page').text(new_page);
                    $('.hot_server').hide();
                    $('.hot_server_'+new_page).show();
                }
            });
            $('.next_hot_server').click(function(){
                var total = $('.hot_total_page').text();
                var page = $('.hot_server_page').text();
                if(page < parseInt(total)){
                    var new_page = parseInt(page) + parseInt(1);
                    $('.hot_server_page').text(new_page);
                    $('.hot_server').hide();
                    $('.hot_server_'+new_page).show();
                }
            });
        },
        loginUser:function(){
            var self = this;
            $('#login-form input').keydown(function(event){
                if (event.keyCode == 13) {
                    $('#login_form').triggerHandler('click');
                }
            });
            $('#login_form').click(function(){
            	$(".field").removeClass('error');
            	$(this).html('<a target="_self" href="javascript:;" class="btn-style" id="login_form"><span class="text">登录中……</span></a>');
                var username = $('#username').val();
                var pass = $('#password').val();
                if(!username || username==$('#username').attr('placeholder')){
                    self.error_tips('请输入用户名');
                    $('#login_form').html('<span class="text">登录</span>');
                    $('#username').parent().addClass('error');
                    return false;
                }
                if(!pass){
                    self.error_tips('请输入密码');
                    $('#login_form').html('<span class="text">登录</span>');
                    $('#password').parent().addClass('error');
                    return false;
                }

                var url = "/login/login";
                var data = $('#login-form').serialize()+'&post_type=ajax';
                var channelid = $("#channelid1").val();
                $.ajax({
                    type: "post",
                    data:data,
                    url: url,
                    dataType:'json',
                    success: function(data){
                        if(data.errno==0){
                        	$(this).html('<span class="pop-icon i-success"></span><span class="text">登录成功</span>');
                            window.location.reload();
                        }
                        else{
                        	$('#username').parent().addClass('error');
                        	$('#password').parent().addClass('error');
                            self.error_tips('你输入的账号或密码不正确，请重新输入!');
                            $('#login_form').html('<span class="text">登录</span>');
                        }
                    },
                    error:function(){
                    	self.error_tips('登录超时，请重新登录!');
                    	$('#login_form').html('<span class="text">登录</span>');
                    }
                });
                return false;
            });
        },
        error_tips:function(msg){
            $('#error-tips').show().find('p').html(msg);
            setTimeout(function(){$('#error-tips').hide('slow')}, 2000);
        }
	}
	WebGame.init();
})()
































